#!/usr/bin/env python
# -*- coding: UTF-8 -*-

# required python_fastcgi lib 
# http://nebula.hpcs.com/python-fastcgi-1.1.tar.gz

import fastcgi
from cgi import escape
import sys, os


def simple_app(environ, start_response):
    start_response('200 OK', [('Content-Type', 'text/html')])

    yield '<h1>FastCGI Environment</h1>'
    yield "<table border='1'>"
    for k, v in sorted(environ.items()):
         yield '<tr><th>%s</th><td>%s</td></tr>' % (escape( str(k)), escape(str(v)))
    yield '</table>'

s = fastcgi.ThreadedWSGIServer(simple_app, workers=5)
s.serve_forever()
