from django import http

def index(request):
    r = http.HttpResponse('<html><head><style>body,table {font: 9pt arial;}</style></head>')
    r.write('<body><h1>Django examples</h1><ul>')
    r.write('<li><a href="hello/html/">Hello world (HTML)</a></li>')
    r.write('<li><a href="hello/text/">Hello world (text)</a></li>')
    r.write('<li><a href="hello/write/">HttpResponse objects are file-like objects</a></li>')
    r.write('<li><a href="hello/metadata/">Displaying request metadata</a></li>')
    r.write('<li><a href="hello/getdata/">Displaying GET data</a></li>')
    r.write('<li><a href="hello/postdata/">Displaying POST data</a></li>')
    r.write('</ul>')
    
    r.write("<p>Some media</p>")
    
    r.write("<img src='media/ico_os_linux.gif' />")
    r.write("<img src='media/ico_os_winxp.gif' />")
    
    r.write("<p>Here's all known metadata about your request, according to <code>request.META</code>:</p>")
    r.write('<table>')
    meta_items = request.META.items()
    meta_items.sort()
    for k, v in meta_items:
        r.write('<tr><td>%s</td><td>%r</td></tr>' % (k, v))
    r.write('</table></body></html>') 
    
    
    
    return r
