

// Boost.Test
#include <boost/test/unit_test.hpp>
#include <boost/test/parameterized_test.hpp>
#include <boost/filesystem.hpp>

#include "aconnect/util.file.hpp"


using namespace boost::unit_test;
namespace fs = boost::filesystem;

namespace Globals
{
	aconnect::string ApplicationDirectory;
};

test_suite* init_unit_test_suite( int argc, char* argv[] ) {
    
	framework::master_test_suite().p_name.value = "Aconnect FastCGI tests";

	fs::path executableFilePath = aconnect::util::getAppLocation (argv[0]);

	Globals::ApplicationDirectory = executableFilePath.remove_leaf().directory_string();
	    
    return 0; 
}
